CREATE TABLE cel_recognition_elements (
    RECOGNITION_ELEMENT_ID       NUMBER(18, 0),
    RECOGNITION_ID               NUMBER(18, 0)    NOT NULL,
    PROGRAM_ID                   NUMBER(18, 0)    NOT NULL,
    PERSON_ID                    NUMBER(18, 0)    NOT NULL,
    ASSIGNMENT_ID                NUMBER(18, 0),
    PROGRAM_ELEMENT_ID           NUMBER(18, 0),
    ELEMENT_TYPE_ID              NUMBER(18, 0),
    INPUT_VALUE_ID               NUMBER(18, 0),
    LEGISLATIVE_DATA_GROUP_ID    NUMBER(18, 0),
    LEGISLATION_CODE             VARCHAR2(120),
    LEGAL_ENTITY_ID              NUMBER(18, 0),
    VALUE                        NUMBER       ,
    INPUT_CURRENCY_CODE          VARCHAR2(60) ,
    POSTED_FLAG                  VARCHAR2(4)  ,
    POSTED_DATE                  TIMESTAMP(6) ,
    RUN_ID                       NUMBER(18, 0),
    FIXED_VALUE                  NUMBER       ,
    MINIMUM_VALUE                NUMBER       ,
    MAXIMUM_VALUE                NUMBER       ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    RECOGNITION_ELEMENT_ID       NUMBER(18, 0),
    RECOGNITION_ID               NUMBER(18, 0)    NOT NULL,
    PROGRAM_ID                   NUMBER(18, 0)    NOT NULL,
    PERSON_ID                    NUMBER(18, 0)    NOT NULL,
    ASSIGNMENT_ID                NUMBER(18, 0),
    PROGRAM_ELEMENT_ID           NUMBER(18, 0),
    ELEMENT_TYPE_ID              NUMBER(18, 0),
    INPUT_VALUE_ID               NUMBER(18, 0),
    LEGISLATIVE_DATA_GROUP_ID    NUMBER(18, 0),
    LEGISLATION_CODE             VARCHAR2(120),
    LEGAL_ENTITY_ID              NUMBER(18, 0),
    VALUE                        NUMBER       ,
    INPUT_CURRENCY_CODE          VARCHAR2(60) ,
    POSTED_FLAG                  VARCHAR2(4)  ,
    POSTED_DATE                  TIMESTAMP(6) ,
    RUN_ID                       NUMBER(18, 0),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    MINIMUM_VALUE                NUMBER       ,
    MAXIMUM_VALUE                NUMBER       ,
    FIXED_VALUE                  NUMBER       ,
    CONSTRAINT pk_cel_recognition_elements PRIMARY KEY (RECOGNITION_ELEMENT_ID, RECOGNITION_ELEMENT_ID)
);
